<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">            
            <div class="col-md-12">
                <h5>
                    <span>List OPL Approval</span>
                </h5>
            </div>
            <div class="col-md-12">
                <p-panel header="PO OPL" class="panel-approval">
                    <div class="list-approval">
                        <label>12 Jan 2017 - 14:14, Andy</label>
                        <h4>Approval PO (Vendor A)</h4>
                        <p>Nomor PKB: PKB 007</p>
                        <button type="button" class="btn btn-primary" (click)="detailOpl = !detailOpl">
                            <span>Detail Pekerjaan</span>
                        </button>
                    </div>
                    <div class="list-approval">
                        <label>12 Jan 2017 - 14:14, Andy</label>
                        <h4>Approval PO (Vendor A)</h4>
                        <p>Nomor PKB: PKB 007</p>
                        <button type="button" class="btn btn-primary" (click)="detailOpl = !detailOpl">
                            <span>Detail Pekerjaan</span>
                        </button>
                    </div>
                </p-panel>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<p-dialog [(visible)]="detailOpl" responsive="true" width="400" modal="true">
    <p-header>
        Detail PO OPL
    </p-header>

    <div class="row">
        <div class="col-md-12">
                <p-dataTable
                [value]="workProductRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="false"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.workProductRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.workProductRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../work-product-requirement', rowData.idRequirement]"
                                icon="fa-eye"
                                class="ui-button-info"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'work-product-requirement/'+ rowData.idRequirement + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idRequirement)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>     
        </div>        
    </div>

    <p-footer>
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="detailOpl = !detailOpl" >
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Reject</span>
        </button>
        <button type="button" class="btn btn-primary">
            <span class="fa fa-check"></span>&nbsp;<span>Approve</span>
        </button>
    </p-footer>
</p-dialog>